// |-------------------------------------------|
// | Debilitator Reset (RAM used)              |
// | by: madsiur                               |
// | version: 1.0a                             |
// | released on: January 17th, 2022           |
// | apply to: FF3us 1.0 (no header)           |
// |-------------------------------------------|

arch snes.cpu

macro seek(variable offset) {
  origin (offset & $3FFFFF)
  base offset
}

// debilitator special effect hook
seek($C23AA8)
jsr free_space  // jump to free space
nop
nop
nop

// new code
seek($C26469)       // you can change this free space offset as long as it's in bank $C2
free_space:
pha                 // save current debilitator element
lda $3E25,y         // last weak to debilitator element
eor #$FF
and $3BE0,y
sta $3BE0,y         // make last debilitator element not weak to
pla                 // restore current debilitator element
sta $3E25,y         // save as last weak to debilitator element
ora $3BE0,y
sta $3BE0,y         // make monster weak to current debilitator element
rts


